%define upstream_name	 CGI
%define upstream_version 4.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple Common Gateway Interface class for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://stein.cshl.org/WWW/software/CGI/
Source0:    http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities) >= 3.690.0
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Deep) >= 0.110.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildRequires: perl(base)
BuildRequires: perl(if)
BuildRequires: perl(overload)
BuildRequires: perl(parent) >= 0.225.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e s,/usr/local/bin/perl,/usr/bin/perl, examples/*.{cgi,pl}
chmod 755 examples

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/CGI*
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1:4.280.0-3pclos2017
- rebuild against updates

